browser.runtime.onMessage.addListener((request, sender, sendResponse) =>
{
  // Bug: The devtools panel should not receive messages from the content
  // script, but it does! Yet somehow the response never reaches the content
  // script. Furthermore, if this function throws an error, the listener in the
  // background page runs successfully but its response never makes it back to
  // the content script.

  console.log(`Tab #${sender.tab.id} says: ${request}`);
  sendResponse(`Hi, tab #${sender.tab.id}, are you sure this is for me?`);
});

let port = browser.runtime.connect({
  name: "devtools-" + browser.devtools.inspectedWindow.tabId
});

port.onMessage.addListener(message =>
{
  console.log(`background.js says: ${message}`);
});

port.postMessage("Hey there, background.js");
